sensor_pzem_measurement_t Struct Reference

measurement returned by electricity meter More...

## Data Structures

union | measurement_t
| possible measurement values More...

## Data Fields

enum sensor_pzem_measurement_type_t | type
| measurement type
bool | valid
| is the measurement valid (e.g. More...
union sensor_pzem_measurement_t::measurement_t | value
| measurement value

## Detailed Description

measurement returned by electricity meter

Definition at line 38 of file sensor_pzem.h.

## Field Documentation

## valid

bool sensor_pzem_measurement_t::valid

is the measurement valid (e.g.

format and checksum are correct)

Definition at line 40 of file sensor_pzem.h.

The documentation for this struct was generated from the following file:

- lib/sensor_pzem.h